Robotics Service Bus - Enhancement #1515
Add data type to all participants, especially listeners
05/27/2013 06:29 PM - J. Wienke

Status: New Start date: 05/27/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Specification Estimated time: 0.00 hour
Target version: rsb-1.0

Description

This would automatically allows to select the correct converter for deserialization. Also, right now the situation is quite seldom that
handlers with different data types can work correctly on a single listeners.

We should still allow the Any Type for dynamic languages and situations.

Related issues:
Related to Robotics Service Bus - Bug # 515: Data handlers cannot deal with u... New 08/19/2011

History

#1-12/10/2013 11:47 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#2 - 02/06/2014 05:30 PM - J. Moringen
- Target version changed from rsb-0.11 to rsb-0.12

#3 - 02/06/2014 05:32 PM - J. Moringen
- Target version changed from rsb-0.12 to rsb-1.0
